/**
 * @flow
 * @param payload
 * @returns {{payload : boolean, type : string}}
 */

function setCurrentThemeName(payload: string) {
  return {
    type: 'theme/currentThemeName',
    payload,
  };
}

function setCurrentTheme(payload: Object) {
  return {
    type: 'theme/currentTheme',
    payload,
  };
}

export default {
  setCurrentThemeName,
  setCurrentTheme,
};
